#!/user/bin/perl -w
# +=======================================================================+
# || cipux_setup                                                         ||
# ||                                                                     ||
# || This script sets up a CipUX Server                                  ||
# || * cipux_setup_ldap                                                  ||
# || * institutional information                                         ||
# ||                                                                     ||
# || (c) 2005 by Christan Kuelker                                        ||
# ||                                                                     ||
# || License: GPLv2 (GPL verseion two or later)                          ||
# ||                                                                     ||
# || Revision 2005-08-29                                                 ||
# ||                                                                     ||
# +=======================================================================+

=pod

=head1 NAME

cipux_setup - Version <[CIBOT::VERSION]>  2005-08-29 CipUX

=head1 SYNOPSIS

	cipux_setup

=head1 ABSTRACT

This script starts several setup scripts and asks information for user
use in CipUX.

=head1 REQUIREMENTS

       Curses::UI

=cut


# TODO make this work with strict (see or 11.4. Taking References to Functions)
#use strict;
use Curses::UI;


# Rediretion of STDERR to prevent scramble the screen
open STDERR, ">>/tmp/pcis-error.log";

# Global VARS
#my $debug = 1;
#my $current_screen = 'Project';
my $VERSION = "1.000000";



exit(0);

#===========================================================================
#==== Documentation ========================================================
#===========================================================================


=head1 SEE ALSO

See the CipUX webpage and the  manual at L<http://www.cipux.org>
See the mailing list L<http://www.cipux.org/mailman/listinfo/>

=head1 AUTHOR

Christian Kuelker  E<lt>christian.kuelker@cipworx.orgE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 1999-2005 by Christian Kuelker

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License as
published by the Free Software Foundation; either version 2, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307 USA

=cut



